WaveLab 8 LE and Yosemite

Hello,

when will be WaveLab 8 LE completely compatible with Mac OS X Yosemite?
I tried your “Steinberg Application Installer Tool for Yosemite” and it can’t find my activated license!

Please help!

_zpaces

Try this:

Steps:

  1. Download Wavelab LE (www.steinberg.net/getwavelabLE)
  2. Register the software and get the activation code
  3. Download the latest version of the eLicenser and run maintenance.
    http://www.elicenser.net/en/latest_downloads.html
  4. Download and install the Steinberg Application Installer Tool for Yosemite
    https://www.steinberg.net/en/support/content_and_accessories/content_and_accessories_saitfy.html
  5. Install Wavelab LE as a trial version
  6. Quit Wavelab
  7. Run the eLicenser software and activate Wavelab

Wavelab should now run OK on Yosemite.

I still hav problem to install Wave lab 8 LE, following the above steps. I am running Yosemite 10.12.2 on a MacBook Pro 2,8GHz Intel core I7, 16GB DDR3, Intel Ires 1536mb

I cannot even install wave lab on Yosemite. It tells me I need another version of operating system.

Same for me : tell me “You need at least Mac OS X 10.6.0 to install this software” and I have X Yosemite 10.10.3

Any help please ???

The link you suggest only leads me to a page where I can by WaveLab 8 version and nothing else. Any other suggestions?

The first link in nickjhowe’s post was for the installer, but the link doesn’t lead to a download page anymore. But all Steinberg installers, old and new, including the latest LE8 can be gotten from the Steinberg downloads page: http://www.steinberg.net/en/support/downloads.html

Perhaps you just need the latest installer and not the Yosemite tool, I’m not sure. The latest installer is dated 5 months after the Yosemite Tool page, so the installer might already include a fix for Yosemite.

Had the same problem and it was easy to fix. Just read the text and follow the steps here:
http://www.steinberg.net/en/support/content_und_zubehoer/content_and_accessories_sait.html